org.apache.ignite.internal.processors.cache.distributed.dht.atomic

## Class GridNearAtomicSingleUpdateInvokeRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.GridCacheIdMessage
    - - org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractUpdateRequest
      - - org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractSingleUpdateRequest
        - - org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicSingleUpdateRequest
          - - org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicSingleUpdateInvokeRequest

All Implemented Interfaces:
  Serializable, GridCacheDeployable, Message

    public class GridNearAtomicSingleUpdateInvokeRequest
    extends GridNearAtomicSingleUpdateRequest

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicSingleUpdateRequest

`key, val`

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractUpdateRequest

`CACHE_MSG_IDX, flags, futId, nodeId, op, subjId, syncMode, taskNameHash, topVer`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheId`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridNearAtomicSingleUpdateInvokeRequest()` Empty constructor required by `Externalizable`.

### Method Summary

Methods
`void` `addUpdateEntry(KeyCacheObject key, Object val, long conflictTtl, long conflictExpireTime, GridCacheVersion conflictVer)`
`void` `cleanup(boolean clearKey)` Cleanup values.
`short` `directType()` Gets message type.
`javax.cache.processor.EntryProcessor<Object,Object,Object>` `entryProcessor(int idx)`
`byte` `fieldsCount()` Gets fields count.
`void` `finishUnmarshal(GridCacheSharedContext ctx, ClassLoader ldr)` This method is called after the message is deserialized and is responsible for unmarshalling state marshalled in `GridCacheMessage.prepareMarshal(GridCacheSharedContext)` method.
`Object[]` `invokeArguments()`
`void` `prepareMarshal(GridCacheSharedContext ctx)` This method is called before the whole message is serialized and is responsible for pre-marshalling state.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`CacheObject` `value(int idx)`
`List<?>` `values()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.
`CacheObject` `writeValue(int idx)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicSingleUpdateRequest

`conflictExpireTime, conflictTtl, conflictVersion, conflictVersions, key, keys, partition, size, toString`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractSingleUpdateRequest

`expiry, filter`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractUpdateRequest

`addDeploymentInfo, futureId, keepBinary, keepBinary, lookupIndex, messageLogger, nearCache, nodeId, onResponse, operation, recovery, recovery, response, returnValue, returnValue, skipStore, skipStore, subjectId, taskNameHash, topologyVersion, writeSynchronizationMode`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheGroupMessage, cacheId, cacheId, handlerId`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`appendFlag, classError, deployInfo, error, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onAckReceived, onClassError, partitionExchangeMessage, prepare, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Constructor Detail

#### GridNearAtomicSingleUpdateInvokeRequest

    public GridNearAtomicSingleUpdateInvokeRequest()

Empty constructor required by `Externalizable`.

### Method Detail

#### addUpdateEntry

    public void addUpdateEntry(KeyCacheObject key,
                      @Nullable
                      Object val,
                      long conflictTtl,
                      long conflictExpireTime,
                      @Nullable
                      GridCacheVersion conflictVer)

Overrides:
  `addUpdateEntry` in class `GridNearAtomicSingleUpdateRequest`
Parameters:
  `key` - Key to add.
  `val` - Optional update value.
  `conflictTtl` - Conflict TTL (optional).
  `conflictExpireTime` - Conflict expire time (optional).
  `conflictVer` - Conflict version (optional).

#### values

    public List<?> values()

Overrides:
  `values` in class `GridNearAtomicSingleUpdateRequest`
Returns:
  Values for this update request.

#### value

    public CacheObject value(int idx)

Overrides:
  `value` in class `GridNearAtomicSingleUpdateRequest`
Parameters:
  `idx` - Key index.
Returns:
  Value.

#### entryProcessor

    public javax.cache.processor.EntryProcessor<Object,Object,Object> entryProcessor(int idx)

Overrides:
  `entryProcessor` in class `GridNearAtomicSingleUpdateRequest`
Parameters:
  `idx` - Key index.
Returns:
  Entry processor.

#### writeValue

    public CacheObject writeValue(int idx)

Overrides:
  `writeValue` in class `GridNearAtomicSingleUpdateRequest`
Parameters:
  `idx` - Index to get.
Returns:
  Write value - either value, or transform closure.

#### invokeArguments

    @Nullable
    public Object[] invokeArguments()

Overrides:
  `invokeArguments` in class `GridNearAtomicAbstractSingleUpdateRequest`
Returns:
  Optional arguments for entry processor.

#### prepareMarshal

    public void prepareMarshal(GridCacheSharedContext ctx)
                        throws IgniteCheckedException

This method is called before the whole message is serialized and is responsible for pre-marshalling state.

Overrides:
  `prepareMarshal` in class `GridNearAtomicSingleUpdateRequest`
Parameters:
  `ctx` - Cache context.
Throws:
  `IgniteCheckedException` - If failed.

#### finishUnmarshal

    public void finishUnmarshal(GridCacheSharedContext ctx,
                       ClassLoader ldr)
                         throws IgniteCheckedException

This method is called after the message is deserialized and is responsible for unmarshalling state marshalled in `GridCacheMessage.prepareMarshal(GridCacheSharedContext)` method.

Overrides:
  `finishUnmarshal` in class `GridNearAtomicSingleUpdateRequest`
Parameters:
  `ctx` - Context.
  `ldr` - Class loader.
Throws:
  `IgniteCheckedException` - If failed.

#### cleanup

    public void cleanup(boolean clearKey)

Cleanup values.

Overrides:
  `cleanup` in class `GridNearAtomicSingleUpdateRequest`
Parameters:
  `clearKey` - If `true` clears keys.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridNearAtomicSingleUpdateRequest`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridNearAtomicSingleUpdateRequest`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridNearAtomicSingleUpdateRequest`
Returns:
  Fields count.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridNearAtomicSingleUpdateRequest`
Returns:
  Message type.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017